Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

SEC-1746: Missing spring-context exclusion in spring-security-parent POM #1959

Closed
spring-projects-issues opened this issue May 16, 2011 · 2 comments

Comments

@spring-projects-issues
Copy link

@spring-projects-issues spring-projects-issues commented May 16, 2011

Facundo Chambó (Migrated from SEC-1746) said:

spring-ldap-core 1.3.0 uses spring 2.5.6, so when we use spring-security-ldap 3.0.4.RELEASE, we get a Namespaces error with spring-context schema.
spring-context should be excluded from spring-ldap-core dependency as it is done with spring-core, spring-tx, etc

@spring-projects-issues
Copy link
Author

@spring-projects-issues spring-projects-issues commented May 16, 2011

Luke Taylor said:

The spring-ldap-core pom has spring-context marked as a "provided" dependency, so it shouldn't need to be excluded. Hence we don't end up with it in the LDAP sample war, for example.

Loading

@spring-projects-issues
Copy link
Author

@spring-projects-issues spring-projects-issues commented May 16, 2011

Luke Taylor said:

This shouldn't matter in any case if we upgrade to 1.3.1, as you've requested in SEC-1747.

Loading

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants